nl.topicus.jdbc.statement

## Class DeleteWorker

- java.lang.Object
- - nl.topicus.jdbc.statement.AbstractTablePartWorker
  - - nl.topicus.jdbc.statement.DeleteWorker

All Implemented Interfaces:
  Callable<ConversionResult>

    public class DeleteWorker
    extends AbstractTablePartWorker

### Field Summary

### Fields inherited from class nl.topicus.jdbc.statement.AbstractTablePartWorker

`connection, select`

### Constructor Summary

Constructors
Constructor and Description
`DeleteWorker(CloudSpannerConnection connection, net.sf.jsqlparser.statement.delete.Delete delete, boolean allowExtendedMode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRecordCount()`
`protected void` `run()`

### Methods inherited from class nl.topicus.jdbc.statement.AbstractTablePartWorker

`call, getEstimatedRecordCount, isExtendedMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteWorker

    public DeleteWorker(CloudSpannerConnection connection,
                        net.sf.jsqlparser.statement.delete.Delete delete,
                        boolean allowExtendedMode)
                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### run

    protected void run()
                throws SQLException

Specified by:
  `run` in class `AbstractTablePartWorker`
Throws:
  `SQLException`

#### getRecordCount

    public long getRecordCount()

Specified by:
  `getRecordCount` in class `AbstractTablePartWorker`